# class XPathExpression

#### package js.html

Available on HTML5

An `XPathExpression` is a compiled XPath query returned from `document.createExpression()`. It has a method `evaluate()` which can be used to execute the compiled XPath.

Documentation XPathExpression by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/XPathExpression

### Methods

###

`evaluate (contextNode:Node, type:Int, result:Dynamic):XPathResult`

Throws:

`null` | DOMError